import requests
import sys


# Funkcia ktorá spracúva url adresu obrázka, ktorý sa má poslať do modelu
def fotoData(fotoURL):
    data = requests.get(fotoURL).content
    if sys.version_info[0] < 3:
        return data.encode("base64")
    else:
        import base64
        return base64.b64encode(data).decode()


# Funkcia ktorá pošle obrázok modelu a vráti výsledok ktorým si je najviac istý
def klasifikuj(obrazokUrl):
    kluc = "d75f9030-adcc-11eb-8716-171ad64b06c236be7759-5b97-4f55-9327-9166cd9dc856"
    model = "https://machinelearningforkids.co.uk/api/scratch/" + kluc + "/classify"

    odpoved = requests.post(model, json={"data": fotoData(obrazokUrl)})

    if odpoved.ok:
        responseData = odpoved.json()
        topMatch = responseData[0]
        return topMatch
    else:
        odpoved.raise_for_status()


# Tu je potrebné zadať url adresu obrázku
obrazok = klasifikuj(
    "https://lh3.googleusercontent.com/yT_H6-qyQU0tCOAhAP2XffWTFvhL5yVguAhAOoKqYDb4EZqFHAyS3O2jP0QEAzmlJU1L_A=s85")

# premenné pre funkciu výpisu
zasobnik = obrazok["class_name"]
istota = obrazok["confidence"]

# výpis výsledku
print("Výsledok: '%s' s %d%% istotou" % (zasobnik, istota))
